# Interface Setting

interface Setting {
default : number;
key : string;
label : string;
options : string[];
requireReload ?: boolean;
type : SettingType ;
}

- Defined in src/system/settings/settings.ts:26
- Defined in src/system/settings/settings.ts:76

#####
Index

### Properties

default
key
label
options
requireReload?
type

## Properties

### default

default: number

- Defined in src/system/settings/settings.ts:30

### key

key: string

- Defined in src/system/settings/settings.ts:27

### label

label: string

- Defined in src/system/settings/settings.ts:28

### options

options: string[]

- Defined in src/system/settings/settings.ts:29

### `Optional` requireReload

requireReload?: boolean

- Defined in src/system/settings/settings.ts:32

### type

type: SettingType

- Defined in src/system/settings/settings.ts:31